services:
  php-api:
    build:
      context: .
      dockerfile: .docker/php/Dockerfile
    container_name: elixforms-php-api
    working_dir: /app
    extra_hosts:
      - "host.docker.internal:host-gateway"
    ports:
      - "8000:8000"
    volumes:
      - .:/app
      - ./.docker/php/xdebug.ini:/usr/local/etc/php/conf.d/xdebug.ini
    #environment:
    #  XDEBUG_MODE: debug
    #  XDEBUG_CONFIG: client_host=host.docker.internal client_port=9003 start_with_request=yes
